package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_board_item")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class BoardItemDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * null
     */
    @Column(name = "his_part_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisPartKeyval;
    /**
     * null
     */
    @Column(name = "his_keyval")
    @ApiModelProperty(value = "null", required = false)
    private String hisKeyval;
    /**
     * null
     */
    @Column(name = "area_sign")
    @ApiModelProperty(value = "null", required = false)
    private Integer areaSign;
    /**
     * null
     */
    @Column(name = "area_label")
    @ApiModelProperty(value = "null", required = false)
    private String areaLabel;
    /**
     * null
     */
    @Column(name = "area_content")
    @ApiModelProperty(value = "null", required = false)
    private String areaContent;
    /**
     * null
     */
    @Column(name = "area_size")
    @ApiModelProperty(value = "null", required = false)
    private Integer areaSize;
    /**
     * null
     */
    @Column(name = "area_label_style")
    @ApiModelProperty(value = "null", required = false)
    private String areaLabelStyle;
    /**
     * null
     */
    @Column(name = "area_content_style")
    @ApiModelProperty(value = "null", required = false)
    private String areaContentStyle;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public String getHisPartKeyval() {
        return hisPartKeyval;
    }

    public void setHisPartKeyval(String hisPartKeyval) {
        this.hisPartKeyval = hisPartKeyval;
    }


    public String getHisKeyval() {
        return hisKeyval;
    }

    public void setHisKeyval(String hisKeyval) {
        this.hisKeyval = hisKeyval;
    }


    public Integer getAreaSign() {
        return areaSign;
    }

    public void setAreaSign(Integer areaSign) {
        this.areaSign = areaSign;
    }


    public String getAreaLabel() {
        return areaLabel;
    }

    public void setAreaLabel(String areaLabel) {
        this.areaLabel = areaLabel;
    }


    public String getAreaContent() {
        return areaContent;
    }

    public void setAreaContent(String areaContent) {
        this.areaContent = areaContent;
    }


    public Integer getAreaSize() {
        return areaSize;
    }

    public void setAreaSize(Integer areaSize) {
        this.areaSize = areaSize;
    }


    public String getAreaLabelStyle() {
        return areaLabelStyle;
    }

    public void setAreaLabelStyle(String areaLabelStyle) {
        this.areaLabelStyle = areaLabelStyle;
    }


    public String getAreaContentStyle() {
        return areaContentStyle;
    }

    public void setAreaContentStyle(String areaContentStyle) {
        this.areaContentStyle = areaContentStyle;
    }

}
